package com.hungraim.ltc.account.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.account.ChDisabAccounts;
import com.hungraim.ltc.pojo.vo.account.*;

import java.util.List;

public interface AccountService extends IService<ChDisabAccounts> {

    /**
     * 添加或修改结算记录
     */
    void addOrUpdateAccount(AccountOperVo accountOperVo);

    Page<SrvOrganListResp> searchSrvOrganList(SrvOrganListReq srvOrganListReq);

    AccountOperVo getSrvOrganDetail(Long accountsId);

    List<ExpenseSettlementVo> expenseSettlement(ExpenseSettlementReq req);
}
